define apache::config(
  $content = '',
  $source  = '',
  $ensure  = 'present',
) {
  $conf_d = $::apache::conf_d

  file { "${conf_d}/${name}.conf":
    mode    => '0644',
    owner   => 'root',
    group   => 'root',
    ensure  => $ensure,
    content => $content ? {
      ''      => undef,
      default => "${content}\n",
    },
    source => $source ? {
      ''      => undef,
      default => $source,
    },
    notify => Service['apache2'],
  }
}
